For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get details of an issuer for a settlement on a store

Get details of an issuer for a settlement on a store

get
/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers/{storeSettlementIssuerUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storePaymentMethodUidstringRequired

Reference to a store PaymentMethodUid.

Pattern: ^[A-Za-z0-9-_]+
storeSettlementIssuerUidstringRequired

Reference to a store settlement issuerId.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

StorePaymentMethodIssuer response

application/json
codestringRequired
ledgerNumberstringRequired

Ledger number must be a valid number with possible leading zeros

ledgerTypestring · enumRequired
ENUMDescription
LEDGERLedger
GENERAL_LEDGERGeneral ledger
CUSTOMER_LEDGERCustomer ledger
Possible values:
namestringRequired
storeSettlementIssuerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers/{storeSettlementIssuerUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers/{storeSettlementIssuerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

StorePaymentMethodIssuer response

{
  "code": "text",
  "ledgerNumber": "text",
  "ledgerType": "LEDGER",
  "name": "text",
  "storeSettlementIssuerUid": "text"
}

Last updated

Was this helpful?